Skip to main content
`Ctrl`+`K`

# TSComputeIHessianProductFunctionPP

Runs the user-defined vector-Hessian-vector product function for Fpp.

## Synopsis

    #include <petscts.h>
    PetscErrorCode TSComputeIHessianProductFunctionPP(TS ts, PetscReal t, Vec U, Vec Vl[], Vec Vr, Vec VHV[])

Collective

## Input Parameters

- ts - The `TS` context obtained from `TSCreate()`

- t - the time

- U - the solution at which to compute the Hessian product

- Vl - the array of input vectors to be multiplied with the Hessian from the left

- Vr - the input vector to be multiplied with the Hessian from the right

## Output Parameter

- VHV - the array of output vectors that store the Hessian product

## Note

`TSComputeIHessianProductFunctionPP()` is typically used for sensitivity implementation, so most users would not generally call this routine themselves.

## See Also

TS: Scalable ODE and DAE Solvers, `TSSetIHessianProduct()`

## Level

developer

## Location

src/ts/interface/sensitivity/tssen.c

Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages